igeo

## Class IULinearMap

- java.lang.Object
- - igeo.IMap
  - - igeo.IULinearMap

-     public class IULinearMap
      extends IMap

  A subclass of IMap defined by two value to generate gradient map in u direction.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.Double>` | `domains`
    `double` | `end`
    `double` | `start`
    `java.util.ArrayList<java.lang.Double>` | `values`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IULinearMap()`
    `IULinearMap(double value)`
    `IULinearMap(double u0, double u1)`
    `IULinearMap(double u0, double u05, double u1)`
    `IULinearMap(double u0, double u033, double u066, double u1)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IULinearMap` | `add(double u, double value)` adding (inserting) value between the domain of 0 - 1
    `IULinearMap` | `addValue(double u, double value)` alias of add(double,double)
    `IULinearMap` | `flipU()` to be defined in sub class
    `double` | `get(double x)`
    `double` | `get(double u, double v)` A main method to get a value of the map.
    `IULinearMap` | `insert(double u, double value)` alias of add(double,double)

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          public double start

    - #### end

          public double end

    - #### domains

          public java.util.ArrayList<java.lang.Double> domains

    - #### values

          public java.util.ArrayList<java.lang.Double> values

  - ### Constructor Detail

    - #### IULinearMap

          public IULinearMap()

    - #### IULinearMap

          public IULinearMap(double value)

    - #### IULinearMap

          public IULinearMap(double u0,
                             double u1)

    - #### IULinearMap

          public IULinearMap(double u0,
                             double u05,
                             double u1)

    - #### IULinearMap

          public IULinearMap(double u0,
                             double u033,
                             double u066,
                             double u1)

  - ### Method Detail

    - #### add

          public IULinearMap add(double u,
                                 double value)

      adding (inserting) value between the domain of 0 - 1

    - #### addValue

          public IULinearMap addValue(double u,
                                      double value)

      alias of add(double,double)

    - #### insert

          public IULinearMap insert(double u,
                                    double value)

      alias of add(double,double)

    - #### get

          public double get(double u,
                            double v)

      Description copied from class: `IMap`
      A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.
      Overrides:
        `get` in class `IMap`
      Parameters:
        `u` - u coordinates ranges 0.0 - 1.0
        `v` - v coordinates ranges 0.0 - 1.0
      Returns:
        value of the map.

    - #### get

          public double get(double x)

    - #### flipU

          public IULinearMap flipU()

      Description copied from class: `IMap`
      to be defined in sub class
      Overrides:
        `flipU` in class `IMap`